<?xml version="1.0" encoding="UTF-8"?>

<mule xmlns:ee="http://www.mulesoft.org/schema/mule/ee/core" xmlns:validation="http://www.mulesoft.org/schema/mule/validation"
	xmlns:http="http://www.mulesoft.org/schema/mule/http"
	xmlns="http://www.mulesoft.org/schema/mule/core" xmlns:doc="http://www.mulesoft.org/schema/mule/documentation" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mulesoft.org/schema/mule/core http://www.mulesoft.org/schema/mule/core/current/mule.xsd
http://www.mulesoft.org/schema/mule/http http://www.mulesoft.org/schema/mule/http/current/mule-http.xsd
http://www.mulesoft.org/schema/mule/validation http://www.mulesoft.org/schema/mule/validation/current/mule-validation.xsd
http://www.mulesoft.org/schema/mule/ee/core http://www.mulesoft.org/schema/mule/ee/core/current/mule-ee.xsd">
	<validation:config name="Validation_Config" doc:name="Validation Config" doc:id="1cae61fb-8c8b-423b-9b24-85bee3653b06" />
	<flow name="proc-free-fb-api:\validate-state-and-eligibility:flow" doc:id="6860a667-8ede-4376-814d-bbe10064ef39" >
		<logger level="INFO" doc:name="Log Start Validate State and Eligibility" doc:id="5f35ad7c-3db2-40ca-82be-b64043198889" message='#["correlation-id: " ++ vars.cid ++ " -- Start Validate State and Eligibility"]' />
		<flow-ref doc:name="sys-cache-get-state:flow" doc:id="f08b6aca-2daa-4b7a-9690-62ae66191503" name="sys-cache-get-state:flow"/>
		<set-variable value='#[%dw 2.0
output application/java
var state = if (vars."sys-cache-get-state-payload".message ~= "-1") "null"
else vars."sys-cache-get-state-payload".message
---
state]' doc:name="Set state flowVars" doc:id="1eca0953-dc00-42ed-a860-858e17f902ed" variableName="state"/>
		<logger level="INFO" doc:name="Log state from Cache" doc:id="1994c7a3-6217-4cde-acaa-0369148de879" message='#["correlation-id: " ++ vars.state ++ " -- State from Cache: " ++ vars.state]' />
		<ee:transform doc:name="Set Variables" doc:id="8ca6a1f9-dd2c-4bca-b4d0-4580c6761756">
			<ee:message>
			</ee:message>
			<ee:variables>
				<ee:set-variable resource="dwl-files/get-initial-sms-message.dwl" variableName="sms_message" />
				<ee:set-variable resource="dwl-files/set-isEligible-variable.dwl" variableName="isEligible" />
			</ee:variables>
		</ee:transform>
		<validation:is-true doc:name="Is true: isEligible" doc:id="abe88295-3f40-4ada-bff1-7b2112429eb6" config-ref="Validation_Config" expression="#[vars.isEligible]" >
			<error-mapping sourceType="VALIDATION:INVALID_BOOLEAN" targetType="APP:INELIGIBLE" />
		</validation:is-true>
		<logger level="INFO" doc:name="Log End Validate State and Eligibility" doc:id="13717a9e-941b-4443-91d1-f2b781ea9dc6" message='#["correlation-id: " ++ vars.cid ++ " -- End Validate State and Eligibility"]' />
		<error-handler ref="generic-error-handler"></error-handler>
	</flow>
</mule>
